var log = require('hlogger').createLogger('memory-monitor');

var activator = {
	start(context) {

		context
			.prefix('core-shell:cmd')
			.on('memory',([,sub,time]) => {
				if(sub == "start") {
					var itime = time || itime;
					context.setInterval(() => {
						context.call('core-monitor:showStat');
					},itime);
				}
			}).on('cache',([,search])=> {
				if(search) {
					Object.keys(require.cache).forEach((v) => {
						var re = new RegExp(search);
						if(re.test(v)) {
							log.info("Found module: " + v + " parent: " , v.parent);
						}
						var req = require.cache[v];
						if(req.parent && re.test(req.parent.id)	) {
							log.info("Found in parent: " + v + " - " + req.parent.id);
						}
						req.children.forEach((c) => {
							if(re.test(c.id)) {
								log.info("Found on child of: " +v + " - " + c.id);
							}
						});
					});
					return;
				}
			});

	},
	stop(context) {
		clearInterval(this.interval);
	}
}

module.exports.bundleActivator = activator;
