var log = require('hlogger').createLogger('monitor-test');

function ntokb(n) {
	var suffix = ["B","KB","MB","GB"];
	var si = 0;
	while( n> 1024 && si< suffix.length) {
		n/=1024;
		si++;
	}
	return n.toFixed(2) + " " +suffix[si];
}


var activator = {
	start(context) {
		context.on('core-shell:cmd:test',() => {
			this.startTest(context);
		});
	},
	startTest(context) {
		log.info("Starting memory-test");
		var btoggle = false;

		context.setInterval(function() {
			if(btoggle == false ) {
				context.manager.load(__dirname + "./memory-test-unit");
			}else {
				context.manager.unregister("memory-test-unit");
			}
			btoggle = !btoggle;
		},500);
		
	},
	stop(context) {
	}
}

module.exports.bundleActivator = activator;


